
/**** CSS Ruleta Begin ****/

	/* Fuentes muy parecidas
	*{font-family: "Arial", "Helvetica", "Segoe UI", "Tahoma", "Verdana", sans-serif; }*/
	*{ 
		font-family: "Arial", "Helvetica", "Segoe UI", "Tahoma", "Verdana", sans-serif; 
		line-height:normal;
	}

#contentjuego {
width:100%;
/* height:600px; */
background: #016D29;  /* Verde de la mesa */
    padding: 10px;
    border-radius: 10px;
    box-shadow: 0px 0px 10px 10px inset black, 0px 0px 1px 14px inset white;
}

#containerruleta{
	display: flex;
	justify-content: center;
	background-color: #016D29;  /* Verde de la mesa */
	height:480px;
	padding: 20px;
	color: #fff;
}
	#msjdisponibilidad { 
	background:yellow; padding: 40px 0px; border:4px solid black; border-radius:7px; text-align:center;
		display:none;
	}
	
/* @media (max-width: 768px) {  */
@media (max-width: 1100px) {
	#msjdisponibilidad { 
		display:block;
	}
	#containerruleta {
		display:none;
	}

}	
		
	
	
/****** notification*/
#notification{
	position: fixed; 
	width: 500px;
	/*  height: 318px; */    height: auto; 
	overflow:visible;
	background-color: #ad0205;
	z-index: 10;
	border: 8px solid #d3b201;
	border-radius: 12px;
	transition: 1s;
			padding:40px 0px;
}
/* notif texto GANADOR */
.nSpan{
	display: block;
	position: relative;
	/* top: 105px;   top:80px;*/
	font-size: 50px;
	text-align: center;
}
/* Msg Banca rota - Boton Play again */
.nBtn{
	display: block;
	/* position: relative;
	top: 116px;
	left: 25%; */
	margin-left:auto; margin-right:auto;
	width: 45%;
	padding: 10px;
	font-size: 26px;
	text-align: center;
	background-color: green;  
	border-radius: 15px;
	box-shadow: 3px 4px rgb(0 0 0 / 25%);
	cursor: pointer;
	transition: .5s;
}

.nsWin{
	/* position:absolute; */
	left: 4px;
}
/* notif Separadores | */
.nsWinBlock{
	 display: inline-block; 
	font-size: 21px;
	border-right: 1px solid;
	border-left: 1px solid;
	padding-left: 40px;
	padding-right: 40px;
	line-height:20px;
}
/****** notification end*/

/****** betting table(Mesa de apuestas) */
#betting_board{
	width: 500px;
    height: 315px;
    /* border: 1px solid;    border: 1px solid;  */
}
/* Area contenedora de bloques superior (1 a 18 - 19 a 36) */
.bbtop{
	margin-left:2px;
}
/* Bloques superior (1 a 18 - 19 a 36) */
.bbtoptwo{
	/* width: calc(50% - 8px);  */
	width:50%;
	border: 1px solid;
	display: inline-block;
	padding: 12px 4px;
	margin-left: -2px;
	text-align: center;
	font-size:20px;
	font-weight: bold;
}

.number_board{
	margin-left: 1px;
}
	
/* Bloques con numeros girados en el tablero */
.number_block{
	/* width: 39.94px;  */  width: 41.66px;
    border: 1px solid;
    text-align: center;
    display: inline-block;
    margin: 0 -0.2px;
     /* padding: 32px 0px;   padding:27.6px 0px ;*/  padding: 32px 0px;
}
/* Area con texto girado -90grados */
.nbn{
	font-size: 18px;
	font-weight: bold;
	/* letter-spacing: 2px; */
	transform: rotate(-90deg);
	-webkit-transform: rotate(-90deg);
	-moz-transform: rotate(-90deg);
	-ms-transform: rotate(-90deg);
	-o-transform: rotate(-90deg);
	filter: progid:DXImageTransform.Microsoft.BasicImage(rotation=3);
}
/* Contenedor de bloques (1-12, 13-24, 25-36)(PAR, ROJO, NEGRO, IMPAR) */
.bo3_board, .oto_board{
	width:500px;
	margin-left: 1px;
}
/* Bloques (1-12, 13-24, 25-36) */
.bo3_block, .oto_block{
	border: 1px solid;
	display: inline-block;
	padding: 8px 5px;
	width: 166.65px;
	margin-left: -1.98px;
	text-align: center;
	font-weight: bold;
	font-size: 20px;
}
/* Bloques (PAR, ROJO, NEGRO, IMPAR) */
.oto_block{
	width: 125.5px;
	margin-left: -1.98px;
}
/* Bloque para apuestas por cero */
.number_0{
	position: absolute;
	border: 2px solid;
	margin-left: -55px;
	margin-top: -0.516px;
	/* padding: 117px 20px;  */ padding: 119px 20px;
	border-bottom-left-radius: 100%;
	border-top-left-radius: 100%;
}
/* Bloque para apuestas por numeros 2 a 1 */
.tt1_block{
	border: 2px solid;
	width: 65px;
	position: absolute;
	margin-left: 495px;
	/* padding: 27.65px 0px; */ padding: 31.65px 0px;
	margin-top: -89.75px;
	text-align: center;
}


.winning_lines{
	position: absolute;
	margin-top: -137px;
	width: 603px;
	height: 0;
}

.wlttb{
	position: relative;
	width: 100%;
    height: 10px;
    margin-left: -7.75px;
	top: 269px;
}

#wlttb_top{
    position: absolute;
    margin-top: -89px;
    margin-left: 11px;
}

#wlttb_2, #wlttb_3{
    margin-top: 79px;
}

.wlrtl{
	position: relative;
    display: inline-block;
    width: 10px;
    height: 266px;
    top: -3px;
    margin-left: 37px;
}

#wlrtl_2, #wlrtl_3, #wlrtl_6, #wlrtl_9, #wlrtl_11{
	margin-left: 31px;
}
#wlrtl_4, #wlrtl_5, #wlrtl_7, #wlrtl_8, #wlrtl_10{
	margin-left: 32px;
}

.wlcb{
	position: absolute;
	width: 477px;
	height: 41px;
	top: 255px;
	margin-left: 13px;
}

#wlcb_2{
	top: 343px;
}

.cbbb{
    width: 20px;
    height: 20px;
    position: relative;
	display: inline-block;
	margin-left:22px;
	margin-top: 9.5px;
	cursor: pointer;
}

#cbbb_1, #cbbb_4, #cbbb_5, #cbbb_7, #cbbb_9, #cbbb_11, #cbbb_12, #cbbb_15, #cbbb_16, #cbbb_18, #cbbb_20, #cbbb_22{
	margin-left: 21px;
}

#cbbb_3, #cbbb_14{
	margin-left: 20.5px;
}

#cbbb_6, #cbbb_17{
	margin-left: 23px;
}

#cbbb_8, #cbbb_10, #cbbb_19, #cbbb_21{
	margin-left: 22px;
}

.ttbbetblock{
	width: 19.1px;
	height: 10px;
	position: relative;
	display: inline-block;
	margin-left: 22.52px;
	top: -2px;
	cursor:pointer;
	z-index:3;
}

.rtlbb1, .rtlbb2, .rtlbb3{
	height: 45px;
    margin-top: 23px;
	width: 10px;
}

.rtlbb2, .rtlbb3{
    margin-top: 42px;
}
/* Botón Girar */
.spinBtn{
	position: absolute;
	margin-top: 325px;
	margin-left: -410px;
	font-size: 14px;
	cursor: pointer;
	background-color: #ffec00;
	padding: 10px 5px;
	border-radius: 100%;
	color: #000;
	font-weight: bold;
	box-shadow: 0px 0px 4px 2px inset darkgoldenrod;
}

.redNum{
	background-color: #E0080B;
}

.blackNum{
	background-color: #000;
}
/* Caja contenedora de fichas con valores de apuestas
.chipDeck, .bankcontainerruleta{ */
.chipDeck{	
	position: absolute;
	margin-left: -383px;
	margin-top: -74px;
	width: 310px;
	height:50px;
	padding: 7px 0 5px;
	border: 1px solid;
	border-radius: 10px;
	box-shadow: inset -2px -4px rgb(0 0 0 / 20%);
}
	
/* Fichas con valor de apuestas */
.cdChip{
	/* width: 27px;
    height: 27px;  */
	width: 35px;
    height: 35px;	
    background-color: #fff;
    border: 3px solid;
    border-radius: 100%;
    display: inline-block;
    margin-left: 8px;
    color: #000;
	cursor: pointer;
	text-align: center;
	align-content: center;
}
/* Texto en fichas con valor de apuestas */
.cdChipSpan{
	display: inherit;
	position: relative;
	/* top: 5px; */
	width: 26px;
	font-weight: bold;
	font-size: 12px;
	text-align: center;
}
/* Ficha con valor de apuesta seleccionada */
.cdChipActive{
	position: relative;
	top: -5px;
	box-shadow: 0px 0px 4px 2px white;	
}
/* Ficha para cancelar la apuesta */
.clearBet{
	border-color:red;
	background-color:lightgray;
	color:#fff;
	margin-left:22px;
}

.clearBet .cdChipSpan{
	margin-left:-2px;
}
	
	
	
/* Caja contenedora de valores de banca */
.bankcontainerruleta{
	position: absolute;
	margin-top: -21px;
	margin-left: -383px;
	width: 310px;
	height: 40px;
	padding: 3px 0;
	border: 1px solid;
	border-radius: 10px;
	box-shadow: inset -2px -4px rgb(0 0 0 / 20%);
	text-align:center;
}

/* Caja con valores en banca y apuesta */
.bank, .bet{
	display: inline-block;
	/* width: calc(50% - 28px); */
	width:46%;
    background-color: #000;
    font-size: 18px;
    margin: 0px 2px;
    padding: 2px 5px;
    border: 3px solid silver;
    border-radius: 7px;
    text-align: right;
}

/* Contenedor de caja con valores de números ganadores */
.pnBlock{
	position: absolute;
	border: 1px solid;
	width: 500px;
	height: 42px;
	margin-top: 10px;
	margin-left: -1px;
}
/* Caja con valores de números ganadores */
#pnContent{
	border: 4px solid #d5b714;
	width: 490px;
	height: 32px;
	position: relative;
	display: block;
	margin-left: 4px;
	margin-top: 3px;
	background-color: #fff;
	color: #000;
	overflow:hidden;
}
/* Números ganadores */
.pnRed, .pnBlack, .pnGreen{
	position: relative;
	display: inline;
	padding:2px 10px;
	font-size: 18px;
	/* top: 5px;  */
}
.pnRed{
	color: red;
}
.pnBlack{
	color: black;
}
.pnGreen{
	color: green;
}
/******betting table end (Fin Mesa de apuestas) */

	
/****** wheel (Rueda)*/
@keyframes wheelRotate {
	from {
		transform: rotate(0deg);
	}
	to {
		transform: rotate(359deg);
	}
}
@keyframes ballRotate {
	from {
		transform: rotate(0deg);
	}
	to {
		transform: rotate(-359deg);
	}
}

.wheel {
	height: 312px;
	width: 312px;
	position: relative;
	left: -75px;
}
	
.ballTrack{
	width: 212px;
	height: 207px;
	position: absolute;
	left: 47.5px;
	top: 50px;
	border-radius: 100%;
	z-index:2;
}

.ball{
	background-color: #fff;
	width: 16px;
	height: 16px;
	border-radius: 100%;
	position: relative;
	left: 109px;
	top: -8px;
}
	
.turret{
	border-radius: 100%;
	background: radial-gradient( circle at 30% 30%, #f3c620, #1a1608 );
	width: 45px;
	height: 45px;
	position: absolute;
	top: 133px;
	left: 134px;
	z-index: 1;
}
	
.turretHandle{
	background: radial-gradient( circle at 44%, #f3c620, #6a570f);
	width: 87px;
	height: 14px;
	position: absolute;
	left: 113px;
	top: 148px;
}

.thendOne, .thendTwo{
	border-radius: 100%;
	background: radial-gradient( circle at 30% 30%, #f3c620, #1a1608 );
	width: 25px;
	height: 25px;
	position: absolute;
}

.thendOne{
	top: -6px;
	left: -20px;
}

.thendTwo{
	top: -6px;
	left: 83px;
}
/* Borde exterior de rueda */
.outerRim {
	position: absolute;
	left:0;
	top:0;
	width: 310px;
	height: 310px;
	border-radius: 100%;
    box-shadow: 0px 0px 8px 8px inset goldenrod;
    border: 3px solid darkgoldenrod;
} 

.block {
	transition: all 1s;
	position: absolute;
	width: 290px;
	height: 290px;
	border-radius: 100%;
	clip: rect(0px, 145px, 290px, 0px);
}

.sect {
	position: absolute;
	top:10px;
	left:10px;
	width: 290px;
	height: 290px;
	border-radius: 100%;
	clip: rect(0px, 290px, 290px, 145px);
}

.double, .singleruleta{
	position: absolute;
	z-index: 1;
	color: #fff;
	font-size: 14px;
	transform: rotate(3deg);
}

.double{
	left: 148px;
	margin-top: 4.5px;
}

.singleruleta{
	left: 152px;
	margin-top: 4.5px;
}

#sect1 .block {
	background-color: #016D29;
	transform:rotate(9.73deg);
}
    
#sect2 .block, #sect4 .block, #sect6 .block, #sect8 .block, #sect10 .block, #sect12 .block, #sect14 .block, #sect16 .block, #sect18 .block, #sect20 .block, #sect22 .block, #sect24 .block, #sect26 .block, #sect28 .block, #sect30 .block, #sect32 .block, #sect34 .block, #sect36 .block {
	background-color: #E0080B;
	transform: rotate(9.73deg);
}

#sect3 .block, #sect5 .block, #sect7 .block, #sect9 .block, #sect11 .block, #sect13 .block, #sect15 .block, #sect17 .block, #sect19 .block, #sect21 .block, #sect23 .block, #sect25 .block, #sect27 .block, #sect29 .block, #sect31 .block, #sect33 .block, #sect35 .block, #sect37 .block {
	background-color: #000;
	transform: rotate(9.73deg);
}

#sect2 {
	transform: rotate(9.73deg);
}

#sect3 {
	transform: rotate(19.46deg);
}

#sect4 {
	transform: rotate(29.19deg);
}

#sect5 {
	transform: rotate(38.92deg);
}

#sect6 {
	transform: rotate(48.65deg);
}

#sect7 {
	transform: rotate(58.38deg);
}

#sect8 {
	transform: rotate(68.11deg);
}

#sect9 {
	transform: rotate(77.84deg);
}

#sect10 {
	transform: rotate(87.57deg);
}

#sect11 {
	transform: rotate(97.3deg);
}

#sect12 {
	transform: rotate(107.03deg);
}

#sect13 {
	transform: rotate(116.76deg);
}

#sect14 {
	transform: rotate(126.49deg);
}

#sect15 {
	transform: rotate(136.22deg);
}

#sect16 {
	transform: rotate(145.95deg);
}

#sect17 {
	transform: rotate(155.68deg);
}

#sect18 {
	transform: rotate(165.41deg);
}

#sect19 {
	transform: rotate(175.14deg);
}

#sect20 {
	transform: rotate(184.87deg);
}

#sect21 {
	transform: rotate(194.6deg);
}

#sect22 {
	transform: rotate(204.33deg);
}

#sect23 {
	transform: rotate(214.06deg);
}

#sect24 {
	transform: rotate(223.79deg);
}

#sect25 {
	transform: rotate(233.52deg);
}

#sect26 {
	transform: rotate(243.25deg);
}

#sect27 {
	transform: rotate(252.98deg);
}

#sect28 {
	transform: rotate(262.71deg);
}

#sect29 {
	transform: rotate(272.44deg);
}

#sect30 {
	transform: rotate(282.17deg);
}

#sect31 {
	transform: rotate(291.9deg);
}

#sect32 {
	transform: rotate(301.63deg);
}

#sect33 {
	transform: rotate(311.36deg);
}

#sect34 {
	transform: rotate(321.09deg);
}

#sect35 {
	transform: rotate(330.82deg);
}

#sect36 {
	transform: rotate(340.55deg);
}

#sect37 {
	transform: rotate(350.28deg);
}

.pockets {
	position: absolute;
	top: 37px;
	left: 37px;
	width: 235px;
	height: 235px;
	background-color: #000;
	border-radius: 100%;
	opacity: .5;
}
/* Borde de troneras (donde cae la bolita) */
.pocketsRim {
	position: absolute;
	top: 37px;
	left: 37px;
	width: 235px;
	height: 235px;
	border-radius: 100%;
	border: 3px solid silver;
}
/* Borde cono central */	
.cone {
	position: absolute;
	top: 65px;
	left: 65px;
	height: 180px;
	width: 180px;
	border: 3px solid #9f9a9a;
	border-radius: 100%;
	background: radial-gradient(circle at 100px 100px, #892c10, #000);
}
/*wheel end  (Fin de Rueda)*/

/****** chip (Ficha) */
/* Fichas de apuesta en tablero */
.chip{
    width: 36px;
	height: 36px;	
	background-color:#fff;
	border: 3px solid;
	border-radius: 100%;
    position:absolute;
}
/* Texto de fichas de apuestas en tablero */
.chipSpan{
	color: #000;
	font-weight: bold;
	font-size: 12px;
	position: relative;
	display: block;
	text-align: center;
	top: 4px;
}

.gold{
	border-color:gold;
}

.red{
	border-color:red;
}

.orange{
	border-color:orange;
}

.blue{
	border-color:blue;
}
/* Posición de ficha en apuestas por 2 a 1 */
.tt1_block .chip{
	margin-left: 19px;
	margin-top: -32px;
}
/* Posición de ficha en apuestas en numeros del tablero */
.number_block .chip{
	margin-left: 2px;
	margin-top: -14px;
}

.wlrtl .chip{
	margin-left: -9px;
	margin-top: 9px;
}

.cbbb .chip{
	margin-left: -4px;
	margin-top: -5px;
}

.ttbbetblock .chip{
	margin-left: -7px;
	margin-top: -8px;
}

#wlttb_top .chip{
	margin-left: -5px;
	margin-top: -8px;
}
/* Posición de ficha en apuestas por (1-18, 19-36) */
.bbtoptwo .chip{
	margin-left: 102px;
	margin-top: -25px;
}
/* Posición de ficha en apuestas por cero */
.number_0 .chip{
	margin-left: -10px;
	margin-top: -5px;
}
/* Posición de ficha en apuestas por (1-12, 13-24, 25-36) */
.bo3_block .chip{
	margin-left: 60px;
	margin-top: -30px;
}
/* Posición de ficha en apuestas (PAR, ROJO, NEGRO, IMPAR) */
.oto_block .chip{
	margin-left: 45px;
	margin-top: -20px;
}
/*chip end (Fin Ficha)  */


/**** CSS Ruleta End ****/